/*Apagando elementos �select� en Internet Explorer*/
function escondeSelects(){
//    if(!window.attachEvent) return false;
//    var selects = document.getElementsByTagName("select");
//    for( var i=0; i<selects .length; i++ ){
//        selects[i].style.display = "none";
//    }
}

function muetraSelects(){
//    if(!window.attachEvent) return false;
//    var selects = document.getElementsByTagName("select");
//    for( var i=0; i<selects .length; i++ ){
//        selects[i].style.display = "inline";
//    }
}
/*  Funciones que gestionan los menus  */
   
   function InitMenu(){ 
              	
     	var bar1 = menuBar1.children     
     	for(var i=0;i < bar1.length;i++) {
			var menu=eval(bar1[i].menu)
          	menu.style.visibility = "hidden"
        	menuu1.onclick = new Function("verMenu("+bar1[i].id+")")
        	var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
	            if(menuItem.menu != null){ 
    	            menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
        	        FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
	                menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
    	        }            
        	}  

     	var bar2 = menuBar2.children     
     	for(var i=0;i < bar2.length;i++) {
 			var menu=eval(bar2[i].menu)
        	menu.style.visibility = "hidden"
			bar2[i].onclick = new Function("verMenu("+bar2[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }                    
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")            
            	}            
        	}  

	var bar3 = menuBar3.children     
     	for(var i=0;i < bar3.length;i++) {
 			var menu=eval(bar3[i].menu)
        	menu.style.visibility = "hidden"
			bar3[i].onclick = new Function("verMenu("+bar3[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }                    
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")            
            	}            
        	}  

	var bar4 = menuBar4.children     
     	for(var i=0;i < bar4.length;i++) {
 			var menu=eval(bar4[i].menu)
        	menu.style.visibility = "hidden"
			bar4[i].onclick = new Function("verMenu("+bar4[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }                    
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")            
            	}            
        	}  

	var bar5 = menuBar5.children     
     	for(var i=0;i < bar5.length;i++) {
 			var menu=eval(bar5[i].menu)
        	menu.style.visibility = "hidden"
			bar5[i].onclick = new Function("verMenu("+bar5[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }                    
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")            
            	}            
        	}  

	var bar6 = menuBar6.children     
     	for(var i=0;i < bar6.length;i++) {
 			var menu=eval(bar6[i].menu)
        	menu.style.visibility = "hidden"
			bar6[i].onclick = new Function("verMenu("+bar6[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }                    
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")            
            	}            
        	}

	var bar7 = menuBar7.children     
     	for(var i=0;i < bar7.length;i++) {
 			var menu=eval(bar7[i].menu)
        	menu.style.visibility = "hidden"
			bar7[i].onclick = new Function("verMenu("+bar7[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }                    
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")            
            	}            
        	} 

	var bar8 = menuBar8.children     
     	for(var i=0;i < bar8.length;i++) {
 			var menu=eval(bar8[i].menu)
        	menu.style.visibility = "hidden"
			bar8[i].onclick = new Function("verMenu("+bar8[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }                    
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")            
            	}            
        	} 

	var bar9 = menuBar9.children     
     	for(var i=0;i < bar9.length;i++) {
 			var menu=eval(bar9[i].menu)
        	menu.style.visibility = "hidden"
			bar9[i].onclick = new Function("verMenu("+bar9[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }                    
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")            
            	}            
        	}

	var bar10 = menuBar10.children     
     	for(var i=0;i < bar10.length;i++) {
 			var menu=eval(bar10[i].menu)
        	menu.style.visibility = "hidden"
			bar10[i].onclick = new Function("verMenu("+bar10[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)                
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            	}
        	}

	var bar11 = menuBar11.children     
     	for(var i=0;i < bar11.length;i++) {
 			var menu=eval(bar11[i].menu)
        	menu.style.visibility = "hidden"
			bar11[i].onclick = new Function("verMenu("+bar11[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            	}            
        	}

	var bar121 = menuBar121.children     
     	for(var i=0;i < bar121.length;i++) {
 			var menu=eval(bar121[i].menu)
        	menu.style.visibility = "hidden"
			bar121[i].onclick = new Function("verMenu("+bar121[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            	}            
        	}  

	var bar12 = menuBar12.children     
     	for(var i=0;i < bar12.length;i++) {
 			var menu=eval(bar12[i].menu)
        	menu.style.visibility = "hidden"
			bar12[i].onclick = new Function("verMenu("+bar12[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            	}            
        	}  
        	
	var bar13 = menuBar13.children     
     	for(var i=0;i < bar13.length;i++) {
 			var menu=eval(bar13[i].menu)
        	menu.style.visibility = "hidden"
			bar13[i].onclick = new Function("verMenu("+bar13[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            	}            
        	}          	
    
	var bar14 = menuBar14.children     
     	for(var i=0;i < bar14.length;i++) {
 			var menu=eval(bar14[i].menu)
        	menu.style.visibility = "hidden"
			bar14[i].onclick = new Function("verMenu("+bar14[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            	}            
        	}          	

	var bar15 = menuBar15.children     
     	for(var i=0;i < bar15.length;i++) {
 			var menu=eval(bar15[i].menu)
        	menu.style.visibility = "hidden"
			bar15[i].onclick = new Function("verMenu("+bar15[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            	}            
        	}          	
        	
	var bar16 = menuBar16.children     
     	for(var i=0;i < bar16.length;i++) {
 			var menu=eval(bar16[i].menu)
        	menu.style.visibility = "hidden"
			bar16[i].onclick = new Function("verMenu("+bar16[i].id+")")
    	    var Items = menu.children
        	for(var j=0; j<Items.length; j++){
            	var menuItem = eval(Items[j].id)
            	if(menuItem.menu != null){ 
                	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                	FindSubMenu(menuItem.menu)
            	}               
            	if(menuItem.cmd != null) {
                	menuItem.onclick = new Function("Do("+menuItem.id+")") }
                	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            	}            
        	}          	        
	var bar17 = menuBar17.children     
 	for(var i=0;i < bar17.length;i++) {
			var menu=eval(bar17[i].menu)
    	menu.style.visibility = "hidden"
		bar17[i].onclick = new Function("verMenu("+bar17[i].id+")")
	    var Items = menu.children
    	for(var j=0; j<Items.length; j++){
        	var menuItem = eval(Items[j].id)
        	if(menuItem.menu != null){ 
            	menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
            	FindSubMenu(menuItem.menu)
        	}               
        	if(menuItem.cmd != null) {
            	menuItem.onclick = new Function("Do("+menuItem.id+")") }
            	menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
        	}            
    	}          	        	
   } // Fin funcion InitMenu
   
   
   function FindSubMenu(subMenu)
   {
         var menu=eval(subMenu)
         var Items = menu.children
          for(var j=0; j<Items.length; j++)
            {
              menu.style.visibility = "hidden"
              var menuItem = eval(Items[j].id)
              
              
              if(menuItem.menu!= null)
                 {
                    menuItem.innerHTML += "<Span Id="+menuItem.id+"_Arrow class='Arrow'>4</Span>"
                    // var tmp = eval(menuItem.id+"_Arrow")
                    //tmp.style.pixelLeft = 35 //menuItem.getBoundingClientRect().right - tmp.offsetWidth - 15
                    FindSubMenu(menuItem.menu)
                 }
                 if(menuItem.cmd != null) 
                   {
                   menuItem.onclick = new Function("Do("+menuItem.id+")") } 
              menuItem.onmouseover = new Function("highlight("+Items[j].id+")")
            }  
   } // Fin funcion FindSubMenu
   	   
   function ShowMenu(obj)
   {
     var menu = eval(obj.menu)
     var bar = eval(obj.id)
     bar.className="barOver"
     menu.style.visibility = "visible"

     //menu.style.pixelTop =  obj.getBoundingClientRect().top + obj.offsetHeight +  document.all['Bdy'].scrollTop
     //menu.style.pixelLeft = obj.getBoundingClientRect().left +  document.all['Bdy'].scrollLeft    
     //AINGERU
     var objeto = document.getElementById("Bdy")
     menu.style.pixelTop =  obj.getBoundingClientRect().top +  objeto.scrollTop - 90
     menu.style.pixelLeft = obj.getBoundingClientRect().left + objeto.scrollLeft + 135
   }

function verMenu(obj){
	var menu = eval(obj.menu)     
    if (menu.style.visibility == "hidden"){
		ShowMenu(obj)
		if(obj.id=="Bar1") {
			HideMenu(menuBar2);	HideMenu(menuBar3); HideMenu(menuBar4); HideMenu(menuBar5);	HideMenu(menuBar6);	
			HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar2") {
			HideMenu(menuBar1);	HideMenu(menuBar3); HideMenu(menuBar4); HideMenu(menuBar5);	HideMenu(menuBar6);	
			HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar3") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar4); HideMenu(menuBar5);	HideMenu(menuBar6);	
			HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar4") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar5);	HideMenu(menuBar6);	
			HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar5") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar6);	
			HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar6") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar7") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar8") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar9); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar9") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar10); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar10") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar11);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar11") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10);
			HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar121") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10);
			HideMenu(menuBar11);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar12);
		}
		else if(obj.id=="Bar12") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10);
			HideMenu(menuBar11);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		}
		else if(obj.id=="Bar13") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10);
			HideMenu(menuBar11);HideMenu(menuBar12);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar14") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10);
			HideMenu(menuBar11);HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar15);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar15") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10);
			HideMenu(menuBar11);HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar16);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar16") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10);
			HideMenu(menuBar11);HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar17);
			HideMenu(menuBar121);
		 }
		else if(obj.id=="Bar17") {
			HideMenu(menuBar1);	HideMenu(menuBar2); HideMenu(menuBar3); HideMenu(menuBar4);	HideMenu(menuBar5);	
			HideMenu(menuBar6); HideMenu(menuBar7); HideMenu(menuBar8); HideMenu(menuBar9); HideMenu(menuBar10);
			HideMenu(menuBar11);HideMenu(menuBar12);HideMenu(menuBar13);HideMenu(menuBar14);HideMenu(menuBar15);HideMenu(menuBar16);
			HideMenu(menuBar121);
		 }
	 }  // Fin if
	 else{
	 	if (obj.id=="Bar1")
			HideMenu(menuBar1)
	 	else if (obj.id=="Bar2")
			HideMenu(menuBar2)
	 	else if (obj.id=="Bar3")
			HideMenu(menuBar3)
	 	else if (obj.id=="Bar4")
			HideMenu(menuBar4)
	 	else if (obj.id=="Bar5")
			HideMenu(menuBar5)
	 	else if (obj.id=="Bar6")
			HideMenu(menuBar6)
	 	else if (obj.id=="Bar7")
			HideMenu(menuBar7)
	 	else if (obj.id=="Bar8")
			HideMenu(menuBar8)
	 	else if (obj.id=="Bar9")
			HideMenu(menuBar9)
	 	else if (obj.id=="Bar10")
			HideMenu(menuBar10)
	 	else if (obj.id=="Bar11")
			HideMenu(menuBar11)
	 	else if (obj.id=="Bar121")
			HideMenu(menuBar121)
	 	else if (obj.id=="Bar12")
			HideMenu(menuBar12)
	 	else if (obj.id=="Bar13")
			HideMenu(menuBar13)
	 	else if (obj.id=="Bar14")
			HideMenu(menuBar14)
	 	else if (obj.id=="Bar15")
			HideMenu(menuBar15)
	 	else if (obj.id=="Bar16")
			HideMenu(menuBar16)	
			else if (obj.id=="Bar17")
				HideMenu(menuBar17)	
	      }  // Fin else
   }   // Fin funcion verMenu

function ocultarMenus(){
	HideMenu(menuBar1);
	HideMenu(menuBar2);
	HideMenu(menuBar3);
	HideMenu(menuBar4);
	HideMenu(menuBar5);
	HideMenu(menuBar6);
	HideMenu(menuBar7);
	HideMenu(menuBar8);
	HideMenu(menuBar9);
	HideMenu(menuBar10);
	HideMenu(menuBar11);
	HideMenu(menuBar121);
	HideMenu(menuBar12);
	HideMenu(menuBar13);
	HideMenu(menuBar14);
	HideMenu(menuBar15);
	HideMenu(menuBar16);
	HideMenu(menuBar17);
   }   // Fin funcion ocultarMenus


   function highlight(obj)
   {
     var PElement = eval(obj.parentElement.id)
     if(PElement.hasChildNodes() == true)
     {  var Elements = PElement.children
       for(var i=0;i<Elements.length;i++)
       {
          TE = eval(Elements[i].id)
          TE.className = "menuItem"
       }
      } 
     obj.className="ItemMouseOver"
     window.defaultStatus = obj.title
     ShowSubMenu(obj)
   }
   
   function Do(obj)
   {
    var cmd = eval(obj).cmd	
    window.navigate(cmd)
     
   }
   
   function HideMenu(obj)
   {
          if(obj.hasChildNodes()==true)
              {  
                 var child = obj.children     
                 
                 for(var j =0;j<child.length;j++)
                  {
                     if (child[j].className=="barOver")
                     {var bar = eval(child[j].id)
                      bar.className="Bar"}
                      
                     if(child[j].menu != null)
                       {
                          var childMenu = eval(child[j].menu)
                          if(childMenu.hasChildNodes()==true) 
                               HideMenu(childMenu)
                          
                           childMenu.style.visibility = "hidden" 
                         }
                  }
              
              }
   }
  function ShowSubMenu(obj)
  {
     PMenu = eval(obj.parentElement.id)
   //   HideMenu(lastVisibleMenu)
     if(obj.menu != null)
     {
     var menu = eval(obj.menu)
     menu.style.visibility = "visible"
     //AINGERU
     var objeto = document.getElementById("Bdy")
     menu.style.pixelTop =  obj.getBoundingClientRect().top + objeto.scrollTop
//     menu.style.pixelLeft = obj.getBoundingClientRect().right +  document.all['Bdy'].scrollLeft
     menu.style.pixelLeft = obj.getBoundingClientRect().left +  objeto.scrollLeft+100
     if(menu.getBoundingClientRect().right > window.screen.availWidth )
       menu.style.pixelLeft = obj.getBoundingClientRect().left - menu.offsetWidth
    }
  } 

slideSpeed=1 // no quotes!!
waitTime=100; // no quotes!! this sets the time the menu stays out for after the mouse goes off it.
menuWidth=180; // Must be a multiple of 10! no quotes!!
moving=setTimeout('null',1);
var visible=0;

function moverMenu() {	
	ocultarMenus();
  if (ssm.pixelLeft<0){
  //  escondeSelects();  	  
    moveOut();}    
  else{
  //  muetraSelects();  	  
    moveBack1();}    

}

function moveOut() {
    if (ssm.pixelLeft<0) {
        clearTimeout(moving);
        moving = setTimeout('moveOut()', slideSpeed);
        slideMenu(10);
    }else{
        clearTimeout(moving);
        moving=setTimeout('null',1);
    }
}

function moveBack() {    
    clearTimeout(moving);
    moving = setTimeout('moveBack1()', waitTime);
}

function moveBack1() {
    if (ssm.pixelLeft>(-menuWidth)) {
        clearTimeout(moving);
        moving = setTimeout('moveBack1()', slideSpeed);
        slideMenu(-10);
    }else{
        clearTimeout(moving);
        moving=setTimeout('null',1);
    }
}

function slideMenu(num){
    ssm.pixelLeft += num;
}

function initSlide(){
    bssm=document.all("thessm").style;
    ssm=document.all("thessm2").style;
    ssm.pixelLeft = -180;
 //   bssm.clip="rect(0 "+ thessm2.offsetWidth + 100 +" "+thessm2.offsetHeight+" 0)";
    bssm.visibility = "visible";
}

function initSlideInicial(){
    bssm=document.all("thessm").style;
    ssm=document.all("thessm2").style;
    ssm.pixelLeft = 0;
   // bssm.clip="rect(0 "+ thessm2.offsetWidth + 100 +" "+thessm2.offsetHeight+" 0)";
    bssm.visibility = "visible";
}